"use strict";
const gd = require('../helper/gd.js');

module.exports = function(server, cb) {

  const conf = gd.conf()

  server = gd.server(server);

  var cmd = '';
  var C = conf.servers[server];
  var S = C.user + '@' + C.ip;

  //gd.log('SCP on ' + server + ' ' + S + ':' + C.site);

  var scp = 'scp -r -P ' + C.port + ' ';
  var dest = S + ':' + C.theme + '/dist/'

  /* CSS */
  cmd+= scp;
  cmd+= conf.theme + '/dist/css ';
  cmd+= dest;

  cmd+= ' && ';

  /* JS */
  cmd+= scp;
  cmd+= conf.theme + '/dist/js ';
  cmd+= dest;

  gd.throbber.start(`Copying css/js on ${server}`);
  
  gd.exec(cmd, cb, `css / js copied on ${server}`);
};
