"use strict";
const gd       = require('../helper/gd')
const userHome = require('user-home')
const isThere  = require('is-there')

module.exports = function(server, cb, url, site_folder) {


  var dest = '';

  if(!url){
    const conf = gd.conf()
    server = gd.server(server)
    var C = conf.servers[server];
    var S = C.user + '@' + C.ip;
    url = conf.repository.url;
    site_folder = C.site

    var branch = gd.branch(server);
  }
  else{

    branch = 'master'

  }


  var cmd = '';
  var cmd_clone = '';


  cmd_clone+= 'git clone --quiet ';
  if(branch) {
    cmd_clone+= ` -b ${branch} `;
  }
  cmd_clone+= url;
  cmd_clone+= ' && ';
  cmd_clone+= 'cd ' + site_folder;
  cmd_clone+= ' && ';
  cmd_clone+= 'git status';


  if(server === 'dev'){

    let dev_folder = '/git';
    if(!isThere(userHome+dev_folder)){
      dev_folder = '/dev';
      if(!isThere(userHome+dev_folder)){
        dev_folder = userHome;
      }
    }

    if(isThere(userHome+dev_folder + '/' + site_folder)){
      gd.status('Project already exist in ' + userHome+dev_folder + '/' + site_folder);
      return;
    }

    dest = userHome+dev_folder + '/' + site_folder

    gd.clone_folder = dest;

    cmd+= 'cd ' + userHome+dev_folder;
    cmd+= ' && ';

    cmd+= cmd_clone;
  }
  else{

    dest = C.folder;

    cmd+= `ssh -T -p ${C.port} ${S} `;

    cmd+= '"';
    cmd+= 'cd ' + C.folder;
    cmd+= ' && ';

    cmd+= cmd_clone;

    cmd+= '"';
  }


// gd.exit(cmd);

  gd.throbber.start(`Cloning on ${server} in ${dest}`);

  gd.exec(cmd, cb, `Cloned on ${server} in ${dest}`);
};
