"use strict";
const gd = require('../helper/gd.js');

module.exports = function(server) {

  const conf        = gd.conf()
  const conf_local  = gd.localConf ();
  const conf_global = gd.globalConf();

  var tabsize = 2;

  gd.log('name : ' + conf.name);

  gd.log('repository');
  console.log(JSON.stringify(conf.repository, null, tabsize));

  gd.log('config');
  console.log(JSON.stringify(conf.config, null, tabsize));

  gd.log('servers');
  console.log(JSON.stringify(conf.servers, null, tabsize));

  gd.log('dev local');
  console.log(JSON.stringify(conf_local.all, null, tabsize));

  gd.log('dev local (global)');
  console.log(JSON.stringify(conf_global.all, null, tabsize));
  
};
