"use strict";
const gd = require('../helper/gd.js');
const support = require('../helper/support.js');

module.exports = (server, arg, cb) => {

  const conf = gd.conf()

  if(support.isCommandExcluded('wordpress', true)){
    cb ? cb() : gd.autoClose()
    return;
  }

  server = gd.server(server);

  if(!arg){
    gd.exit('You must specify a wordpress command')
  }
  if(server !== 'dev'){
    gd.exit(`You can install Wordpress plugin only on dev (currently "${server}")`)
  }

  let cmd = 'wp ';
  let flag = '';

  if(arg === 'update') {

    cmd+= 'core update'
  }

  gd.execraw(cmd, cb, `WP Plugin ${arg} ${arg}d on ${server}`);
};
