(function($){'use strict';Drupal.behaviors.gd_gmaps={attach:function(context,settings){

  var container_id = '#gmap'; // ID of your div for the map

  if($('.gmap-processed')[0] || !$(container_id)[0]) return;

  state.add('gmap-processed');

  /*
    IMPORTANT :
    You must create an api key for the project :
    https://developers.google.com/maps/documentation/javascript/

    then add the google map script with your API_KEY (at the end of the page) :

    <script src="//maps.google.com/maps/api/js?key=API_KEY"></script>
  */

  /* Gmaps usage : */

  // Add map
  var map = new GMaps({
    div: container_id,
    lat: 48.95758,
    lng: 2.49671,
    disableDefaultUI: true
  });

  // Add marker
  map.addMarker({
    lat: 48.95758,
    lng: 2.49671,
    title: 'Location title' ,
    infoWindow: {
      content: '<p>Location texts</p>'
    }
  });

  /*
    You can add a custom marker icon with the icon property, ex :
    icon: "/themes/gd_theme/dist/img/picto/custom-marker-icon.png",
  */

}}})(jQuery);
