<?php echo $form_item['#prefix'] ?>

<div class="form-item form-type-checkboxes form-item-field-<?php echo str_replace('_', '-', $form_item_key) ?>">
  <label for="field-form-<?php echo str_replace('_', '-', $form_item_key) ?>"><?php echo $form_item['#title'] ?></label>
  <div>

    <?php foreach($form_item['#options'] as $key => $option): ?>
      <div class="form-item form-type-checkbox">
        <input
          type="checkbox"
          id="field-form-<?php echo str_replace('_', '-', $form_item_key) ?>-<?php echo str_replace('_', '-', $key) ?>"
          name="<?php echo $form_item_key ?>[<?php echo $key ?>]"
          class="form-checkbox <?php echo (!empty($form_item['#attributes']['class'])) ? $form_item['#attributes']['class'] : '' ?>"
          value="<?php echo $key ?>"
          <?php echo (in_array($key, $form_item['#default_value'])) ? 'checked' : '' ?>
        >
        <label for="field-form-<?php echo str_replace('_', '-', $form_item_key) ?>-<?php echo str_replace('_', '-', $key) ?>">
          <?php echo $option ?>
        </label>
      </div>
    <?php endforeach; ?>
  </div>
  <?php echo $errors ?>
</div>

<?php echo $form_item['#suffix'] ?>

