"use strict";
const gd       = require('../helper/gd.js')
const fs       = require('fs')
const userHome = require('user-home')
const isThere  = require('is-there')

module.exports = function(cb) {

  const conf = gd.conf()

  gd.log('REMOVE GUI');

  let file = userHome + '/gd-gui/' + conf.name.replace('.','') + '.25s.js';

  if(!isThere(file)) {
    file = userHome + '/gd-gui/' + conf.name.replace('.','') + '.14s.js';
  }

  try{
    fs.unlinkSync(file);
  }
  catch(e) {
    gd.exit(e)
  }

  const cmd = 'osascript -e \'quit app "bitbar"\' && open -a bitbar';

  gd.exec(cmd, cb, `gui removed`)
}
