"use strict";
const gd = require('../helper/gd')

module.exports = function(server) {
  
  const conf       = gd.conf()
  const conf_local = gd.localConf();

  server = gd.server(server);

  let url = '';

  if(server === 'dev') {
    url = gd.dev_url();
  }
  else if(conf.servers[server]['url_auth'] && conf.servers[server]['url']){
    url = conf.servers[server]['url_auth'] + '@' + conf.servers[server].url
  }
  else if(conf.servers[server]['url']){
    url = conf.servers[server].url
  }
  
  require('opn')('http://' + url);
  exit();
}
