"use strict";
const gd = require('../helper/gd.js')

module.exports = (server, cb) => {

  const conf = gd.conf()

  server = gd.server(server);

  const branch = gd.branch(server);

  var cmd = '';
  var C = conf.servers[server];
  var S = C.user + '@' + C.ip;

  if(server !== 'dev') {

    gd.log('GIT PULL on ' + server + ' ' + S + ':' + C.site);

    cmd+= `ssh -T -p ${C.port} ${S} `;

    cmd+= '"';
    cmd+= 'cd ' + C.site;
    cmd+= ' && ';
  }
  else {
    gd.log('GIT PULL on ' + server);
  }

  cmd+= 'git pull'; //--quiet 

  if(branch) {
    cmd+= ` origin ${branch}`;
  }

  cmd+= ' && ';
  cmd+= 'git status';

  if(server !== 'dev') {
    cmd+= '"';
  }
  
  gd.exec(cmd, cb);
};
