<?php 

/**
 * Disable Auto save
 */
function no_autosave() {
  wp_deregister_script('autosave');
}

add_action('wp_print_scripts', 'no_autosave');

/**
 * Admin config pages
 */
if (function_exists('acf_add_options_page')) {

  acf_add_options_page(array(
    'page_title' => 'Configuration',
    'menu_title' => 'Configuration',
    'menu_slug' => 'theme-configuration',
    'capability' => 'edit_posts',
    'parent_slug' => '',
    'position' => false,
    'icon_url' => false,
    'redirect' => false
  ));

  acf_add_options_sub_page(array(
    'page_title' 	=> 'Email',
    'menu_title'	=> 'Email',
    'menu_slug' 	=> 'theme-configuration-mail',
    'parent_slug'	=> 'theme-configuration',
    'position' => false,
    'icon_url' => false,
  ));

}