<?php

/**
 * Remove smt auth if https and php >= 5.6
 */
add_action('phpmailer_init', 'app_remove_smt_auth');
function app_remove_smt_auth($phpmailer) {
  if (is_ssl() && version_compare(PHP_VERSION, '5.6.0') >= 0) {
    $phpmailer->SMTPAutoTLS = false;
  }
}

/**
 * Disable RSS Tag generator
 * @return string
 */
function wpt_remove_version() {
  return '';
}