<?php echo $form_item['#prefix'] ?>

<div class="form-item form-type-select form-item-field-<?php echo str_replace('_', '-', $form_item_key) ?>">
  <label for="field-form-<?php echo str_replace('_', '-', $form_item_key) ?>"><?php echo $form_item['#title'] ?></label>
  <select
    id="field-form-<?php echo str_replace('_', '-', $form_item_key) ?>"
    name="<?php echo $form_item_key ?><?php echo ($form_item['#multiple']) ? '[]' : '' ?>"
    class="form-select <?php echo (!empty($form_item['#attributes']['class'])) ? $form_item['#attributes']['class'] : '' ?>"
    <?php echo ($form_item['#required']) ? 'required' : '' ?>
    <?php echo ($form_item['#multiple']) ? 'multiple' : '' ?>
  >

    <?php foreach($form_item['#options'] as $key => $option): ?>
      <option
        value="<?php echo ($key != '_none') ? $key : '' ?>"
        <?php
          if((is_array($form_item['#default_value']) && in_array($key, $form_item['#default_value'])) || (!is_array($form_item['#default_value']) && $form_item['#default_value'] == $key)):
            echo 'selected';
          endif;
        ?>
      >
        <?php echo $option ?>
      </option>
    <?php endforeach; ?>

  </select>
  <?php echo $errors ?>
</div>

<?php echo $form_item['#suffix'] ?>

